This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 685067 - Missing options for preserving test statuses/assignees when cloning the run.
Missing options for preserving test statuses/assignees when cloning the run.
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.3
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: June Zhang
tools-bugs
: Regression
Depends On:
Blocks: 593666
  Show dependency treegraph
 
Reported: 2011-03-15 04:10 EDT by Martin Banas
Modified: 2015-12-01 00:35 EST (History)
12 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
xgao: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Martin Banas 2011-03-15 04:10:38 EDT
Description of problem:
In older TCMS or maybe testopia we were able to preserve test case assignees or statuses when cloning the run. It would be great if the functionality is back.

Version-Release number of selected component (if applicable):
Nitrate 3.3-4


Steps to Reproduce:
1. Clone the existing run
2. Observe the 'Clone Test Run' dialog
  
Actual results:
Not able to preserve test case statuses or assignees.

Expected results:
Add options for preserving test case statuses and assignees to 'Clone Test Run' dialog.
Comment 1 June Zhang 2011-03-15 04:22:05 EDT
(In reply to comment #0)
> Description of problem:
> In older TCMS or maybe testopia we were able to preserve test case assignees or
> statuses when cloning the run. It would be great if the functionality is back.
> 

Older TCMS doesn't this functionality.
The functional is good, we will enhance cloning setting in the further version.
Thanks for your advice.
Comment 2 Marian Ganisin 2011-03-15 05:47:55 EDT
(In reply to comment #1)
> Older TCMS doesn't this functionality.
> The functional is good, we will enhance cloning setting in the further version.
> Thanks for your advice.

As far as I remember, this was available in Testopia. I thought it was available in nitrate at least partially as well (assignee field).

Anyway it's great to see this on feature future list. :) Thank you!
Comment 3 Xin Gao 2011-09-27 23:05:38 EDT
Verify version 3.6.0-1 on englab - FAIL 

Steps:
1. Find a run with one more case-run, and open it. Such as:
   https://tcms.englab.nay.redhat.com/run/26465/
2. Select some cases. Such as
  case 109425, 109877, 109673, 109647
3. Click "Clone".
4. Do not check "Reserve Assignee".
5. Click Save.

Actual result: 
case-run in new run has same assignee with the origin one. refer to following link.
https://tcms.englab.nay.redhat.com/run/26882/.
Comment 4 Xin Gao 2011-09-29 05:05:21 EDT
When do not check "Reserve Assignee", I thought that new assignee should be same with run's default tester. 
Actually, through talking with pm, got that new assignee should be same with case's default tester.
It's my fault. So pls ignore comment 3. and new verification info is as follows.

Verify version 3.6.0-1 on englab - PASS

Steps:
1. Find a run with one more case-run, and open it. Such as:
   https://tcms.englab.nay.redhat.com/run/26465/
2. Select some cases. Such as
  case 109425, 109877, 109673, 109647
3. Click "Clone".
4. Do not check "Reserve Assignee".
5. Click Save.

Actual result: 
New assignee are same with case's default tester.
Comment 5 Guoping Feng 2012-04-27 07:06:15 EDT
It seems in tcms-stage - 3.7.0-1, the "Reserve Assignee" can't work.

When cloning a single run, uncheck the "Reserve Assignee", and input a new default tester which is different from any of the assignees of the cases in the run, then "Save".

Actual result:
In the new cloned run, the assignees are still original ones.
Comment 6 jianchen 2012-05-04 01:15:41 EDT
This bug was fixed in tcms 3.7.0-2.
When cloning a single run, uncheck the "Reserve Assignee",input a new default tester which is different from any of the assignees of the cases in the
run, the new testruns assignees will be the default tester.
Comment 7 Xin Gao 2012-05-08 04:16:43 EDT
verify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
1. Find a run with one more case-run, and open it. Such as:
   https://tcms.englab.nay.redhat.com/run/26465/
2. Select some cases. Such as
  case 109425, 109877, 109673, 109647
3. Click "Clone".
4. Do not check "Reserve Assignee".
5. input a new default tester.
6. Click Save

result
work well. The new testruns assignees is the default tester.

Note You need to log in before you can comment on or make changes to this bug.